/*!
 * \file  AppData.h
 *       Define constants, enums, and structs for data model of BuddhaCounter project
 */
/***************************************************************************/
/* Copyright (c) 2010 AuroraWand LLC                                       */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of AuroraWand LLC, San Jose, CA                                 */
/*                                                                         */
/* Created by LinCheng Wang on 06/02/10                                    */
/***************************************************************************/

/**************************************************************************** 
 * COMPILATION OPTIONS
 ***************************************************************************/

//=========================================================================== 
// HEADER FILES
//===========================================================================
#import <Foundation/Foundation.h>

#import "Book.h"
#import "AppSetting.h"

//=========================================================================== 
// TYPEDEFs & MACROs
//=========================================================================== 
/* Book: category */
typedef enum {
    eCategory_Verse,
    eCategory_Book,
    eCategory_Other,
    eCategory_Num,
    eCategory_New = eCategory_Num
} ECategory;

//=========================================================================== 
// CLASS DEFINITION
//===========================================================================
@class Book;
@interface Book (Utility)

+ (NSString*)categoryInString:(int)nCategory;
+ (NSString*)categoryForTitle:(int)nCategory;
- (NSString*)categoryInString;
- (void)defaultSettingWithCategory:(NSNumber*)pCategory 
                             title:(NSString*)psTitle
                       countTarget:(NSNumber*)pCountTarget
                        appSetting:(AppSetting*)pAppSetting;
- (void)defaultSettingWithCategory:(ECategory)eCategory appSetting:(AppSetting*)pAppSetting;

//===========================================================================
@end
