//
//  AppSetting.h
//  
//
//  Created by LinCheng Wang on 6/8/10.
//  Copyright 2010 AuroraWand.com. All rights reserved.
//

#import <Foundation/Foundation.h>

/* AppSetting: bCountingOrder */
#define kCountingOrderUp    0
#define kCountingOrderDown  1

/* AppSetting: sortingKey */
typedef enum {
    eSortingKey_Title,
	eSortingKey_DateCreate,
    eSortingKey_PercentComplete,
    //eSortingKey_DateLastRead,
    eSortingKey_Num
} ESortingKey;


@class Book;

@interface AppSetting :  NSObject  
{
    NSNumber * bPlaySound;
    NSNumber * sortingKey;
    NSNumber * bCountingOrder;
    NSNumber * countSession;
    NSNumber * idCounter;

    NSNumber * readBookIdKey;
}

@property (nonatomic, retain) NSNumber * bPlaySound;
@property (nonatomic, retain) NSNumber * sortingKey;
@property (nonatomic, retain) NSNumber * bCountingOrder;
@property (nonatomic, retain) NSNumber * countSession;
@property (nonatomic, retain) NSNumber * idCounter;

@property (nonatomic, copy)   NSNumber * readBookIdKey;

- (id)initByReadFromFile;
- (void)writeToFile;
+ (NSString*)sortingKeyInLocalizedString:(ESortingKey)eSortingKey;
- (NSString*)sortingKeyInString;
- (BOOL)sortingKeyIsAscending;
- (unsigned int)nextId;
- (void)setReadBook:(Book*)pBook;
- (BOOL)isReadBook:(Book*)pBook;

@end



