/*!
 * \file AudioPlayerUtil.h
 *      The utility for AVAudioPlayer library
 */
/***************************************************************************/
/* Copyright (c) 2009 Aurora Wand LLC                                      */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of Aurora Wand LLC, San Jose, CA                                */
/*                                                                         */
/* Created by LinCheng Wang on 11/02/09                                    */
/***************************************************************************/

/****************************************************************************
 * COMPILATION OPTIONS
 ***************************************************************************/

/****************************************************************************
 * HEADER FILES
 ***************************************************************************/
#import <AVFoundation/AVFoundation.h>

/****************************************************************************
 * MACROS and INLINE FUNCTIONS
 ***************************************************************************/

/****************************************************************************
 * TYPEDEF and DATA STRUCTURE
 ***************************************************************************/

/****************************************************************************
 * CLASS DEFINITION - AVAudioPlayer (Utility)
 ***************************************************************************/
@class AVAudioPlayer;
@interface AVAudioPlayer (Utility)

/****************************************************************************
 * METHODS - AVAudioPlayer (Utility)
 ***************************************************************************/
//---------------------------------------------------------------------------
/*! \fn + (id)createAudioPlayerWithPath:(NSString *)psPath ofType:(NSString *)psExt
 *  \brief Allocate and initialize an AudioPlayer
 */
+ (id)createAudioPlayerWithPath:(NSString *)psPath ofType:(NSString *)psExt;

//---------------------------------------------------------------------------
/*! \fn - (void)playContinuously
 *  \brief Play continuously
 */
- (void)playContinuously;

/*-------------------------------------------------------------------------*/
@end  /* end of AVAudioPlayer (Utility) */

