/*!
 * \file UtilMsg.h
 *     A utility to log messages by giving debug level
 */
/***************************************************************************/
/* Copyright (c) 2009 AuroraWand LLC                                       */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of AuroraWand LLC, San Jose, CA                                 */
/*                                                                         */
/* Created by LinCheng Wang on 05/10/09                                    */
/***************************************************************************/

/****************************************************************************
 * COMPILATION OPTIONS
 ***************************************************************************/

/****************************************************************************
 * HEADER FILES
 ***************************************************************************/
#import <Foundation/Foundation.h>

/****************************************************************************
 * MACROS
 ***************************************************************************/
#ifdef DEBUG_LEVEL
#define UtilMsg(args...) _UtilMsg(__FILE__, __LINE__, __PRETTY_FUNCTION__, args);
void _UtilMsg(const char *pcFile, const int nLineNum, const char *pcFunc, NSString *pFormat, ...);
#else
#define UtilMsg(x...)
#endif

/****************************************************************************
 * INLINE FUNCTIONS
 ***************************************************************************/

/****************************************************************************
 * TYPEDEF and DATA STRUCTURE
 ***************************************************************************/

