/*!
 * \file BuddhaCounterAppDelegate.h
 *      Implement App Delegate for BuddhaCounter project
 */
/***************************************************************************/
/* Copyright (c) 2010 AuroraWand LLC                                       */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of AuroraWand LLC, San Jose, CA                                 */
/*                                                                         */
/* Created by LinCheng Wang on 05/27/10                                    */
/***************************************************************************/

//=============================================================================
// COMPILATION OPTIONS
//=============================================================================
//#define DEBUG_LEVEL     /* to turn on message utility by UtilMsg.h */

//=============================================================================
// HEADER FILES
//=============================================================================
#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>
#import "AppModel.h"

//==============================================================================
// CLASS INTERFACE
//==============================================================================
@class MainViewCtrl;
@class AppSetting;

@interface BuddhaCounterAppDelegate : NSObject <UIApplicationDelegate> {
	
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;	    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
	
	UIWindow        *window;
    MainViewCtrl    *mpMainViewCtrl;

    UIImageView     *mpSplashView;

/* AppSetting */
    AppSetting      *mpAppSetting;
}

@property (nonatomic, retain, readonly) NSManagedObjectModel         *managedObjectModel;
@property (nonatomic, retain, readonly) NSManagedObjectContext       *managedObjectContext;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (nonatomic, retain)           IBOutlet UIWindow   *window;
@property (nonatomic, retain)           MainViewCtrl        *mpMainViewCtrl;

/* AppSetting */
@property (nonatomic, retain)           AppSetting          *mpAppSetting;

//==============================================================================
// METHODS
//==============================================================================
- (NSString *)applicationDocumentsDirectory;

//==============================================================================
// ACTION METHODS
//==============================================================================
- (IBAction)onSaveAction:sender;    /* TODO: need it here? */

//==============================================================================
@end

