/*!
 * \file InfoViewCtrl.h
 *      Implement Info View Controller for BuddhaCounter project
 *
 * Supported by xib of Interface Builder (IB)
 */
/***************************************************************************/
/* Copyright (c) 2010 AuroraWand LLC                                       */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of AuroraWand LLC, San Jose, CA                                 */
/*                                                                         */
/* Created by LinCheng Wang on 05/31/10                                    */
/***************************************************************************/
#import <UIKit/UIKit.h>

//=============================================================================
// CLASS INTERFACE
//=============================================================================
@interface InfoViewCtrl : UIViewController <UITextViewDelegate, UIScrollViewDelegate>
{
/* User Interface: TextView + ScrollView + ImageView */
    UIImageView         *xpBgView;
    UITextView          *xpTextView;
    UIScrollView        *xpScrollView;
    UIImageView         *xpImageViewScroll;
    UIPageControl       *xpPageControl;

@private
    BOOL                mbIsPageControlUsed;
}

@property (nonatomic, retain) IBOutlet UIImageView               *xpBgView;
@property (nonatomic, retain) IBOutlet UITextView                *xpTextView;
@property (nonatomic, retain) IBOutlet UIScrollView              *xpScrollView;
@property (nonatomic, retain) IBOutlet UIImageView               *xpImageViewScroll;
@property (nonatomic, retain) IBOutlet UIPageControl             *xpPageControl;

//=============================================================================
// METHODS
//=============================================================================
- (IBAction)onPageControl;

//=============================================================================
@end    /* InfoViewCtrl */
