/*!
 * \file TutorialViewCtrl.h
 *      Implement Tutorial View Controller for BuddhaCounter project
 *
 * Supported by xib of Interface Builder (IB)
 */
/***************************************************************************/
/* Copyright (c) 2010 AuroraWand LLC                                       */
/* All rights reserved.                                                    */
/*                                                                         */
/* No part of this document may be copied, reproduced,                     */
/* or transmitted in any form without the prior written                    */
/* consent of AuroraWand LLC, San Jose, CA                                 */
/*                                                                         */
/* Created by LinCheng Wang on 05/31/10                                    */
/***************************************************************************/
#import <UIKit/UIKit.h>

//=============================================================================
// CLASS INTERFACE
//=============================================================================
@interface TutorialViewCtrl : UIViewController <UIScrollViewDelegate>
{

/* ScrollView + ImageView */
    UIScrollView        *xpScrollView;
    UIImageView         *xpImageView;
    UIPageControl       *xpPageControl;

    BOOL                mbIsPageControlUsed;
}

@property (nonatomic, retain) IBOutlet UIScrollView              *xpScrollView;
@property (nonatomic, retain) IBOutlet UIImageView               *xpImageView;
@property (nonatomic, retain) IBOutlet UIPageControl             *xpPageControl;

//=============================================================================
// METHODS
//=============================================================================
- (IBAction)onPageControl;

//=============================================================================
@end    /* TutorialViewCtrl */
